Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.referencing.operation
Interface Operation

All Superinterfaces:
  CoordinateOperation, IdentifiedObject, SingleOperation

All Known Subinterfaces:
  ConicProjection, Conversion, CylindricalProjection, PlanarProjection, Projection, Transformation

    @UML(identifier="CC_Operation",
         specification=ISO_19111)
    public interface Operation

extends SingleOperation

A parameterized mathematical operation on coordinates that transforms or converts coordinates to another coordinate reference system. This coordinate operation thus uses an operation method, usually with associated parameter values.

Since:
  GeoAPI 1.0
Version:
  Abstract specification 2.0
See Also:
  `OperationMethod`

Field Summary

Fields inherited from interface CoordinateOperation
`COORDINATE_OPERATION_ACCURACY_KEY, DOMAIN_OF_VALIDITY_KEY, OPERATION_VERSION_KEY, POSITIONAL_ACCURACY_KEY, SCOPE_KEY, VALID_AREA_KEY`

Fields inherited from interface IdentifiedObject
`ALIAS_KEY, IDENTIFIERS_KEY, NAME_KEY, REMARKS_KEY`

Method Summary
`OperationMethod` | `getMethod()` Returns the operation method.
`ParameterValueGroup` | `getParameterValues()` Returns the parameter values.

Methods inherited from interface CoordinateOperation
`getCoordinateOperationAccuracy, getDomainOfValidity, getMathTransform, getOperationVersion, getPositionalAccuracy, getScope, getSourceCRS, getTargetCRS, getValidArea`

Methods inherited from interface IdentifiedObject
`getAlias, getIdentifiers, getName, getRemarks, toWKT`

Method Detail

### getMethod

    @UML(identifier="usesMethod",
         obligation=MANDATORY,
         specification=ISO_19111)
    OperationMethod getMethod()

  Returns the operation method.

### getParameterValues

    @UML(identifier="usesValue",
         obligation=MANDATORY,
         specification=ISO_19111)
    ParameterValueGroup getParameterValues()

  Returns the parameter values.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.